AstList (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class AstList

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PySequence
              org.python.core.AstList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List

    public class AstList

extends PySequence
implements Cloneable, List

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`static PyType` | `TYPE`

Constructor Summary
`AstList()`
`AstList(List data)`
`AstList(List data, org.python.antlr.adapter.AstAdapter adapter)`
`AstList(PyType type, List data, org.python.antlr.adapter.AstAdapter adapter)`

Method Summary
`PyObject` | `__add__(PyObject other)` Equivalent to the standard Python __add__ method
`PyObject` | `__iadd__(PyObject other)` Equivalent to the standard Python __iadd__ method
`PyObject` | `__imul__(PyObject o)` Equivalent to the standard Python __imul__ method
`int` | `__len__()` Equivalent to the standard Python __len__ method.
`PyObject` | `__mul__(PyObject o)` Equivalent to the standard Python __mul__ method
`PyObject` | `__radd__(PyObject o)` Equivalent to the standard Python __radd__ method
`PyObject` | `__rmul__(PyObject o)` Equivalent to the standard Python __rmul__ method
`Object` | `__tojava__(Class c)` Equivalent to the Jython __tojava__ method.
`void` | `add(int index, Object element)`
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection c)`
`boolean` | `addAll(int index, Collection c)`
`void` | `append(PyObject o)`
`PyObject` | `astlist___iter__()`
`void` | `clear()`
`Object` | `clone()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection c)`
`int` | `count(PyObject value)`
`void` | `extend(PyObject iterable)`
`PyString[]` | `get_fields()`
`Object` | `get(int index)`
`int` | `index(PyObject o)`
`int` | `index(PyObject o, int start)`
`int` | `index(PyObject o, int start, int stop)`
`int` | `indexOf(Object o)`
`void` | `insert(int index, PyObject o)`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`int` | `lastIndexOf(Object o)`
`ListIterator` | `listIterator()`
`ListIterator` | `listIterator(int index)`
`PyObject` | `pop()`
`PyObject` | `pop(int n)`
`void` | `pyadd(int index, PyObject element)`
`boolean` | `pyadd(PyObject o)`
`PyObject` | `pyget(int index)`
`void` | `pyset(int index, PyObject element)` Sets the given element of the sequence.
`Object` | `remove(int index)`
`boolean` | `remove(Object o)`
`void` | `remove(PyObject value)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`void` | `reverse()`
`Object` | `set(int index, Object element)`
`int` | `size()`
`List` | `subList(int fromIndex, int toIndex)`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] a)`
`String` | `toString()`

Methods inherited from class org.python.core.PySequence
`__delitem__, __delslice__, __eq__, __finditem__, __finditem__, __ge__, __getitem__, __getslice__, __gt__, __iter__, __le__, __lt__, __ne__, __nonzero__, __setitem__, __setitem__, __setslice__, isMappingType, isNumberType, isSequenceType`

Methods inherited from class org.python.core.PyObject
`__abs__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __float__, __floordiv__, __get__, __getattr__, __getattr__, __getitem__, __getnewargs__, __getslice__, __hash__, __hex__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __long__, __lshift__, __mod__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`equals, hashCode`

Field Detail

### TYPE

    public static final PyType TYPE

Constructor Detail

### AstList

    public AstList()

### AstList

    public AstList(List data)

### AstList

    public AstList(List data,
                   org.python.antlr.adapter.AstAdapter adapter)

### AstList

    public AstList(PyType type,
                   List data,
                   org.python.antlr.adapter.AstAdapter adapter)

Method Detail

### get_fields

    public PyString[] get_fields()

### astlist___iter__

    public PyObject astlist___iter__()

### __imul__

    public PyObject __imul__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __imul__ method

  Overrides:
    `__imul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the imul, or null if this operation is not defined

### __mul__

    public PyObject __mul__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __mul__ method

  Overrides:
    `__mul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the mul, or null if this operation is not defined

### __rmul__

    public PyObject __rmul__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __rmul__ method

  Overrides:
    `__rmul__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the mul, or null if this operation is not defined.

### __iadd__

    public PyObject __iadd__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __iadd__ method

  Overrides:
    `__iadd__` in class `PyObject`
  Parameters:
    `other` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the iadd, or null if this operation is not defined

### __add__

    public PyObject __add__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __add__ method

  Overrides:
    `__add__` in class `PyObject`
  Parameters:
    `other` - the object to perform this binary operation with (the right-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined

### __radd__

    public PyObject __radd__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __radd__ method

  Overrides:
    `__radd__` in class `PyObject`
  Parameters:
    `o` - the object to perform this binary operation with (the left-hand operand).
  Returns:
    the result of the add, or null if this operation is not defined.

### __len__

    public int __len__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __len__ method. Part of the mapping discipline.

  Overrides:
    `__len__` in class `PyObject`
  Returns:
    the length of the object

### toString

    public String toString()

  Overrides:
    `toString` in class `PyObject`

### append

    public void append(PyObject o)

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### count

    public int count(PyObject value)

### index

    public int index(PyObject o)

### index

    public int index(PyObject o,
                     int start)

### index

    public int index(PyObject o,
                     int start,
                     int stop)

### extend

    public void extend(PyObject iterable)

### insert

    public void insert(int index,
                       PyObject o)

### remove

    public void remove(PyObject value)

### reverse

    public void reverse()

### pop

    public PyObject pop()

### pop

    public PyObject pop(int n)

### add

    public void add(int index,
                    Object element)

  Specified by:
    `add` in interface `List`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`

### addAll

    public boolean addAll(int index,
                          Collection c)

  Specified by:
    `addAll` in interface `List`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Collection`
  Specified by:
    `addAll` in interface `List`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Specified by:
    `clear` in interface `List`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `List`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Collection`
  Specified by:
    `containsAll` in interface `List`

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`

### indexOf

    public int indexOf(Object o)

  Specified by:
    `indexOf` in interface `List`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection`
  Specified by:
    `isEmpty` in interface `List`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `List`

### lastIndexOf

    public int lastIndexOf(Object o)

  Specified by:
    `lastIndexOf` in interface `List`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`

### listIterator

    public ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `List`

### pyadd

    public boolean pyadd(PyObject o)

### pyadd

    public void pyadd(int index,
                      PyObject element)

### pyget

    public PyObject pyget(int index)

  Parameters:
    `index` - index of element to return.
  Returns:
    the element at the given position in the list.

### pyset

    public void pyset(int index,
                      PyObject element)

  Description copied from class: `PySequence`
  Sets the given element of the sequence.

  Parameters:
    `index` - index of the element to set.
    `element` - the value to set this element to.

### remove

    public Object remove(int index)

  Specified by:
    `remove` in interface `List`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `List`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Collection`
  Specified by:
    `removeAll` in interface `List`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Collection`
  Specified by:
    `retainAll` in interface `List`

### set

    public Object set(int index,
                      Object element)

  Specified by:
    `set` in interface `List`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`

### subList

    public List subList(int fromIndex,
                        int toIndex)

  Specified by:
    `subList` in interface `List`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`

### toArray

    public Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`

### __tojava__

    public Object __tojava__(Class c)

  Description copied from class: `PyObject`
  Equivalent to the Jython __tojava__ method. Tries to coerce this object to an instance of the requested Java class. Returns the special object `Py.NoConversion` if this `PyObject` can not be converted to the desired Java class.

  Overrides:
    `__tojava__` in class `PySequence`
  Parameters:
    `c` - the Class to convert this `PyObject` to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage